% input data
Mean2DPF = load('AverageData_Output2DPF_.txt');
Mean2DPU = load('AverageData_Output2DPU_.txt');
Mean3DPF = load('AverageData_Output3DPF_.txt');
Mean3DPU = load('AverageData_Output3DPU_.txt');
close all

% Calculate the node ratio
Mean2DPF(:,end+1)=Mean2DPF(:,3)./Mean2DPF(:,2);
Mean2DPU(:,end+1)=Mean2DPU(:,3)./Mean2DPU(:,2);
Mean3DPF(:,end+1)=Mean3DPF(:,3)./Mean3DPF(:,2);
Mean3DPU(:,end+1)=Mean3DPU(:,3)./Mean3DPU(:,2);
% Calculate the flow ratio
Mean2DPF(:,end+1)=Mean2DPF(:,5)./Mean2DPF(:,4);
Mean2DPU(:,end+1)=Mean2DPU(:,5)./Mean2DPU(:,4);
Mean3DPF(:,end+1)=Mean3DPF(:,5)./Mean3DPF(:,4);
Mean3DPU(:,end+1)=Mean3DPU(:,5)./Mean3DPU(:,4);

%% plot the flow-ratio
figure
plot(Mean2DPU(:,1),Mean2DPU(:,17),'rs','markerfacecolor','r','markersize',6)
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,17),'r-.')
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,17),'rs','markersize',8)
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,17),'r--')
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,17),'bs','markerfacecolor','b','markersize',6)
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,17),'b-.')
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,17),'bs','markersize',8)
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,17),'b--')
tix=get(gca,'ytick')';
set(gca,'yticklabel',num2str(tix,'%.2f'))
ylabel('$$\mathrm{Flow-rate~ ratio, R_\mathrm{flow}}$$', 'interpreter', 'latex','fontsize',16)
xlabel('$$\mathrm{Exponent~ a}$$', 'interpreter', 'latex','fontsize',16)
 

%% plot E vs exponent a in 3D fracture networks
figure
plot(Mean3DPU(:,1),Mean3DPU(:,14),'-.','linewidth',1,'color','c')
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,14),'cs','markerfacecolor','c','markersize',6)
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,15),'-.','linewidth',1,'color','m')
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,15),'ms','markerfacecolor','m','markersize',6)
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,6),'-.','linewidth',1,'color','r')
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,6),'rs','markerfacecolor','r','markersize',6)
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,7),'-.','linewidth',1,'color','b')
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,7),'bs','markerfacecolor','b','markersize',6)
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,13),'-.','linewidth',1,'color','g')
hold on
plot(Mean3DPU(:,1),Mean3DPU(:,13),'gs','markerfacecolor','g','markersize',6)
tix=get(gca,'ytick')';
set(gca,'yticklabel',num2str(tix,'%.3f'))
set(gca,'fontsize',11)
hold on

plot(Mean3DPF(:,1),Mean3DPF(:,14),'--','linewidth',1,'color','c')
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,14),'cs','markersize',8)
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,15),'--','linewidth',1,'color','m')
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,15),'ms','markersize',8)
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,6),'--','linewidth',1,'color','r')
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,6),'rs','markersize',8)
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,7),'--','linewidth',1,'color','b')
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,7),'bs','markersize',8)
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,13),'--','linewidth',1,'color','g')
hold on
plot(Mean3DPF(:,1),Mean3DPF(:,13),'gs','markersize',8)
tix=get(gca,'ytick')';
set(gca,'yticklabel',num2str(tix,'%.3f'))
set(gca,'fontsize',10)
ylabel('$$\mathrm{Global~ efficiency}$$', 'interpreter', 'latex','fontsize',16)
xlabel('$$\mathrm{Exponent~ a}$$', 'interpreter', 'latex','fontsize',16)
box on
 

%% plot E vs exponent a in 3D fracture networks
figure
plot(Mean2DPU(:,1),Mean2DPU(:,14),'-.','linewidth',1,'color','c')
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,14),'cs','markerfacecolor','c','markersize',6)
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,15),'-.','linewidth',1,'color','m')
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,15),'ms','markerfacecolor','m','markersize',6)
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,6),'-.','linewidth',1,'color','r')
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,6),'rs','markerfacecolor','r','markersize',6)
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,7),'-.','linewidth',1,'color','b')
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,7),'bs','markerfacecolor','b','markersize',6)
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,13),'-.','linewidth',1,'color','g')
hold on
plot(Mean2DPU(:,1),Mean2DPU(:,13),'gs','markerfacecolor','g','markersize',6)
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,14),'--','linewidth',1,'color','c')
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,14),'cs','markersize',8)
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,15),'--','linewidth',1,'color','m')
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,15),'ms','markersize',8)
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,6),'--','linewidth',1,'color','r')
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,6),'rs','markersize',8)
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,7),'--','linewidth',1,'color','b')
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,7),'bs','markersize',8)
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,13),'--','linewidth',1,'color','g')
hold on
plot(Mean2DPF(:,1),Mean2DPF(:,13),'gs','markersize',8)
tix=get(gca,'ytick')';
set(gca,'yticklabel',num2str(tix,'%.3f'))
set(gca,'fontsize',10)
ylabel('$$\mathrm{Global~ efficiency}$$', 'interpreter', 'latex','fontsize',16)
xlabel('$$\mathrm{Exponent~ a}$$', 'interpreter', 'latex','fontsize',16)
box on
 
