%% this function can be used to plot fractures in 3D. You can choose the data from 3DUniform or 3DFractal folders
% fracture.txt (all fractures in a fracture network)
% line3D.txt (links of the graph)
% it may take some time to plot the fractures in 3D, so we only plot the
% spanning cluster,not all fractures. You can activate line 21 to 25 to
% plot all fractures
fracture=load([cd,'\3DUniform\fracture.txt'])
FractureLabel=load([cd,'\3DUniform\FractureLabel.txt'])
SpanLabel=mode(FractureLabel);
Num=size(fracture,1)/4;
figure
L=100;
n=1;
for i = 1:Num
    ply=[fracture(n:n+3,1),fracture(n:n+3,2),fracture(n:n+3,3)];
    if(FractureLabel(i) == SpanLabel)
        vert = ply;
        fac=[1,2,3,4];
        patch('Vertices',vert,'Faces',fac,...
            'FaceVertexCData',hsv(4), 'FaceColor','r','edgecolor','r')
%     else
%         vert = ply;
%         fac=[1,2,3,4];
%         patch('Vertices',vert,'Faces',fac,...
%             'FaceVertexCData',hsv(4), 'FaceColor','g','edgecolor','g')
    end
    alpha(.47)
    hold on
    n=n+4;
end
%
L=30
xlim([0,L]);
ylim([0,L]);
zlim([0,L]);
view(126,39)
ax = gca;
ax.BoxStyle = 'full';
axis on
box on;
light('Position',[0 L 0]);
light('Position',[L L L]);
light('Position',[0 L L]);
light('Position',[L 0 0]);
set(gca,'Ytick',[])
set(gca,'Xtick',[])
set(gca,'Ztick',[])
hold on
%% plot graph
hold on
line3D = load([cd,'\3DUniform\line3D.txt']);% get the coordinate of every link;
[X,Y,Z] = LinesToXYnan3D(line3D);% get the coordinate of every link;
hold on
plot3(X,Y,Z,'-','color','b','linewidth',1.5);
hold on
