%% plot the pressure distribution in 2D uniform fracture networks
% you can find all data in the 2DUniform folder;
% nodemap --- record the neighbouring nodes;
% % nodecoord --- record the coordinates of the neighbouring nodes;
% nodecoordnum --- record the coordination number of each node;
% p --- Pressure on each node;
nodecoordnum=load([cd,'\2DUniform\originalcoornum.txt']);
p=load([cd,'\2DUniform\originalpressure.txt']);
p=p/50;
load([cd,'\2DUniform\2DUniform.mat'])
nodemap=original_2D_Uniform_nodemap;
nodecoord=original_2D_Uniform_coord;
% activate the following four lines to plot the reduced fracture networks;
% nodecoordnum=load([cd,'\2DUniform\reducedcoornum.txt']);
% p=load([cd,'\2DUniform\reducedpressure.txt']);
% nodemap=reduced_2D_Uniform_nodemap;
% nodecoord=reduced_2D_Uniform_coord;
L=30;
Box = [0 L 0 L];
figure
drawBox(Box,'k-','linewidth',1.5);
hold on
num=size(nodecoordnum,1);
for i=1:num
    for j=1:nodecoordnum(i)
        x=nodecoord(i,[1,2*j+1]);
        y=nodecoord(i,[2,2*j+2]);
        z = zeros(size(x));
        col = [p(i),p(nodemap(i,j)+1)];
        surface([x;x],[y;y],[z;z],[col;col],...
            'facecol','no',...
            'edgecol','interp',...
            'linew',2);
        hold on  
    end
 end
axis equal
axis off;
colorbar off
s = 'C:/Users/zhuw0a/Desktop/2Dorigianl.png';
print( '-dpng', '-r1000', s);
%% plot the pressure distribution in 2D fractal fracture networks
% you can find all data in the 2DFractal folder;
close all
nodecoordnum=load([cd,'\2DFractal\originalcoornum.txt']);
p=load([cd,'\2DFractal\originalpressure.txt']);
p=p/50;
load([cd,'\2DFractal\2DFractal.mat'])
nodemap=original_2D_Fractal_nodemap;
nodecoord=original_2D_Fractal_coord;
% activate the following four lines to plot the reduced fracture networks;
% nodecoordnum=load([cd,'\2DFractal\reducedcoornum.txt']);
% p=load([cd,'\2DFractal\reducedpressure.txt']);
% nodemap=reduced_2D_Fractal_nodemap;
% nodecoord=reduced_2D_Fractal_coord;
L=30;
Box = [0 L 0 L];
figure
drawBox(Box,'k-','linewidth',1.5);
hold on
num=size(nodecoordnum,1);
for i=1:num
    for j=1:nodecoordnum(i)
        x=nodecoord(i,[1,2*j+1]);
        y=nodecoord(i,[2,2*j+2]);
        z = zeros(size(x));
        col = [p(i),p(nodemap(i,j)+1)];
        surface([x;x],[y;y],[z;z],[col;col],...
            'facecol','no',...
            'edgecol','interp',...
            'linew',2);
        hold on  
    end
 end
axis equal
axis off;
colorbar off
%%
 