%% plot the pressure distribution in 3D uniform fracture networks
% you can find all data in the 3DUniform folder;
% nodemap --- record the neighbouring nodes;
% % nodecoord --- record the coordinates of the neighbouring nodes;
% nodecoordnum --- record the coordination number of each node;
% p --- Pressure on each node;
nodecoordnum=load([cd,'\3DUniform\originalcoornum.txt']);
p=load([cd,'\3DUniform\originalpressure.txt']);
nodemap=original_3D_Uniform_nodemap;
nodecoord=original_3D_Uniform_coord;
load([cd,'\3DUniform\3DUniform.mat'])
p=p/50
% nodecoordnum=load([cd,'\3DUniform\reducedcoornum.txt']);
% p=load([cd,'\3DUniform\reducedpressure.txt']);
% nodemap=reduced_3D_Uniform_nodemap;
% nodecoord=reduced_3D_Uniform_coord;
L=100
Box = [0 L 0 L];
figure
hold on
num=size(nodecoordnum,1);
for i=1:num
      for j=1:nodecoordnum(i)
        x=nodecoord(i,[1,3*j+1]);
        y=nodecoord(i,[2,3*j+2]);
        z = nodecoord(i,[3,3*j+3]); 
        col = [p(i),p(nodemap(i,j)+1)];
        surface([x;x],[y;y],[z;z],[col;col],...
            'facecol','no',...
            'edgecol','interp',...
            'linew',2);
        hold on
        
    end
end
view(-41,26)
ax = gca;
ax.BoxStyle = 'full';
box on;
% light('Position',[0 0 0]);
light('Position',[0 L 0]);
light('Position',[L L L]);
light('Position',[0 L L]);
light('Position',[L 0 0]);
set(gca,'xtick',[]);
set(gca,'ytick',[]);
set(gca,'ztick',[])
colorbar

%% plot the pressure distribution in 3D fractal fracture networks
% you can find all data in the 3DFractal folder;
% nodemap --- record the neighbouring nodes;
% % nodecoord --- record the coordinates of the neighbouring nodes;
% nodecoordnum --- record the coordination number of each node;
% p --- Pressure on each node;
nodecoordnum=load([cd,'\3DFractal\originalcoornum.txt']);
p=load([cd,'\3DFractal\originalpressure.txt']);
nodemap=original_3D_Fractal_nodemap;
nodecoord=original_3D_Fractal_coord;
load([cd,'\3DFractal\3DFractal.mat'])
p=p/50
% nodecoordnum=load([cd,'\3DFractal\reducedcoornum.txt']);
% p=load([cd,'\3DFractal\reducedpressure.txt']);
% nodemap=reduced_3D_Fractal_nodemap;
% nodecoord=reduced_3D_Fractal_coord;
L=100
Box = [0 L 0 L];
figure
hold on
num=size(nodecoordnum,1);
for i=1:num
      for j=1:nodecoordnum(i)
        x=nodecoord(i,[1,3*j+1]);
        y=nodecoord(i,[2,3*j+2]);
        z = nodecoord(i,[3,3*j+3]); 
        col = [p(i),p(nodemap(i,j)+1)];
        surface([x;x],[y;y],[z;z],[col;col],...
            'facecol','no',...
            'edgecol','interp',...
            'linew',2);
        hold on
        
    end
end
view(-41,26)
ax = gca;
ax.BoxStyle = 'full';
box on;
% light('Position',[0 0 0]);
light('Position',[0 L 0]);
light('Position',[L L L]);
light('Position',[0 L L]);
light('Position',[L 0 0]);
set(gca,'xtick',[]);
set(gca,'ytick',[]);
set(gca,'ztick',[])
colorbar
